| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::MapDragDropHandler Class Reference
Inheritance diagram for Digikam::MapDragDropHandler:

## Public Member Functions
| MapDragDropHandler (QAbstractItemModel *const, GPSGeoIfaceModelHelper *const parent)
Qt::DropAction | accepts (const QDropEvent *e) override
QMimeData * | createMimeData (const QList< QPersistentModelIndex > &modelIndices) override
bool | dropEvent (const QDropEvent *e, const GeoCoordinates &dropCoordinates) override
Public Member Functions inherited from Digikam::GeoDragDropHandler
| GeoDragDropHandler (QObject *const parent=nullptr)

## Member Function Documentation

## ◆ accepts()

Qt::DropAction Digikam::MapDragDropHandler::accepts | ( | const QDropEvent * | e | ) |
| override virtual

Implements Digikam::GeoDragDropHandler.

## ◆ createMimeData()

QMimeData * Digikam::MapDragDropHandler::createMimeData | ( | const QList< QPersistentModelIndex > & | modelIndices | ) |
| override virtual

Implements Digikam::GeoDragDropHandler.

## ◆ dropEvent()

bool Digikam::MapDragDropHandler::dropEvent | ( | const QDropEvent * | e,
|  | const GeoCoordinates & | dropCoordinates
| ) |  |
| override virtual

Implements Digikam::GeoDragDropHandler.